using System.ComponentModel.DataAnnotations;

namespace Domain.Entities.Forum.ValueObject;

/// <summary>
/// 신고 유형
/// </summary>
public enum ReportType : byte
{
    None = 0,

    [Display(Name = "욕설")]
    Abuse = 1,

    [Display(Name = "음란")]
    Obscene = 2,

    [Display(Name = "불법")]
    Illegal = 3,

    [Display(Name = "신분 사칭")]
    Impersonation = 4,

    [Display(Name = "현금거래유도")]
    CashTrade = 5,

    [Display(Name = "스팸/광고")]
    SpamAd = 6,

    [Display(Name = "도배")]
    Flood = 7,

    [Display(Name = "개인정보노출")]
    PersonalLeak = 8,

    [Display(Name = "기타")]
    Other = 9
}
